### GET /v3/whoami Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve credential access for all available contexts ```markdown ### Responses #### 200 - Access details of credentials for all available contexts ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/whoami" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/documents/{documentId}/download Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Download a document

**Required modules:** ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **documentId** (integer, path, required): The ID of the document - **size** (string, query, optional): The document size to be downloaded - **revision** (number, query, optional): The revision number to be downloaded - **version** (string, query, optional): Legacy version search ### Responses #### 200 - A binary file with the Document file type ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/documents/{documentId}/download?size=value&revision=value&version=value" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/resource-bundles Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of resource bundles ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **id** (array (number), query, optional): A list of numeric identifiers representing resources - **title** (string, query, optional): A simple text search term, compared against the title - **partial_match_title** (boolean, query, optional): If true `title` will return partial matches rather than exact. Match is case-insensitive either way. - **resource_type** (string, query, optional) - **sub_resource_type** (string, query, optional): A resource type that supports custom fields - **sort** (string, query, optional) - **order** (string, query, optional) - **exclude_teams_data** (union, query, optional): *Organisation context*: Exclude entities belonging to accessible teams - **exclude_org_data** (union, query, optional): *Team context*: Exclude entities inherited from the team's org ### Responses #### 200 - A list of resource bundles ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/resource-bundles?page=value&size=value&id=item1,item2&title=value&partial_match_title=true&resource_type=value&sub_resource_type=value&sort=id&order=asc&exclude_teams_data=false&exclude_org_data=false" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/exercises Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of exercises

**Required modules:** activities ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **id** (array (number), query, optional): A list of numeric identifiers representing resources - **reference** (string, query, optional): A simple text search term, compared against the reference and reference description - **before** (string, query, optional): Return only activities starting before this datetime - **ends_before** (string, query, optional): Return only activities ending before this datetime - **tag_bundle_id** (integer, query, optional): Return only activities with this tag bundle id - **tag_id** (integer, query, optional): Return only activities with this tag id - **team_id** (integer, query, optional): Return only activities with this team id - **after** (string, query, optional): Return only activities ending after this datetime - **starts_after** (string, query, optional): Return only activities starting after this datetime - **deleted** (boolean, query, optional): Return only deleted activities - **published** (boolean, query, optional): Return only published activities - **sort** (string, query, optional) - **order** (string, query, optional) ### Responses #### 200 - A list of Exercises ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/exercises?page=value&size=value&id=item1,item2&reference=value&before=value&ends_before=value&tag_bundle_id=value&tag_id=value&team_id=value&after=value&starts_after=value&deleted=false&published=true&sort=id&order=asc" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/resource-bundles/{resourceBundleId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a resource bundle ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **resourceBundleId** (integer, path, required): The ID of the Resource Bundle ### Responses #### 200 - A resource bundle ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/resource-bundles/{resourceBundleId}" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/animal-qualifications Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of animal qualifications ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **title** (string, query, optional): The title of a resource - **exclude_teams_data** (union, query, optional): *Organisation context*: Exclude entities belonging to accessible teams - **exclude_org_data** (union, query, optional): *Team context*: Exclude entities inherited from the team's org - **sort** (string, query, optional) - **order** (string, query, optional) ### Responses #### 200 - A list of animal qualifications ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/animal-qualifications?page=value&size=value&title=value&exclude_teams_data=false&exclude_org_data=false&sort=id&order=asc" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of equipment items

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **id** (array (number), query, optional): A list of numeric identifiers representing resources - **ref** (string, query, optional): This item's ref. Mutually exclusive with search - **text** (string, query, optional): A simple text search term, compared against the ref and the kind's title. Mutually exclusive with ref - **brand_id** (array (number), query, optional): This item's brand id - **model_id** (array (number), query, optional): This item's model id - **category_id** (array (number), query, optional): This items's category id - **kind_id** (array (number), query, optional): This item's kind id - **supplier_id** (array (number), query, optional): This item's supplier id - **supplier_ref_id** (array (number), query, optional): This item's supplier ref id - **fund_id** (array (number), query, optional): This item's funding source id - **inspection_id** (integer, query, optional): This item's inspection id - **member_id** (union, query, optional): Member holding this item. Either an id or "me". Mutually exclusive with location_id - **parent_id** (null, query, optional): Equipment item in which this item is stored - **is_critical** (boolean, query, optional): Items flagged as critical - **is_expired** (boolean, query, optional): Items flagged as expired - **status** (array (string), query, optional): The status of the equipment or a list of equipment statuses - **barcode** (string, query, optional): This item's barcode - **type** (string, query, optional): - `VEHICLE`: A vehicle of some kind - `SUPPLY`: A supply of disposable items - `EQUIPMENT`: A re-usable piece of equipment - **only_current** (boolean, query, optional): Only include items that are operational/non-operational - **exclude_current** (boolean, query, optional): Only include lost, inactive, retired and other items - **location_id** (union, query, optional): An equipment location, represented by either an id or enum. Mutually exclusive with member_id - **sort** (string, query, optional) - **order** (string, query, optional) ### Responses #### 200 - A list of equipment items ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment?page=value&size=value&id=item1,item2&ref=value&text=value&brand_id=item1,item2&model_id=item1,item2&category_id=item1,item2&kind_id=item1,item2&supplier_id=item1,item2&supplier_ref_id=item1,item2&fund_id=item1,item2&inspection_id=value&member_id=value&parent_id=value&is_critical=true&is_expired=true&status=item1,item2&barcode=value&type=value&only_current=true&exclude_current=true&location_id=value&sort=id&order=asc" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/exercises/{activityId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve an exercises

**Required modules:** activities ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **activityId** (integer, path, required): An activity identifier ### Responses #### 200 - An Exercise resource ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/exercises/{activityId}" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/teams/{teamId}/image Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Download a team profile image ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **teamId** (integer, path, required): The numeric identifier for a resource - **size** (string, query, optional): The image size to be downloaded ### Responses #### 200 - A binary image file ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/teams/{teamId}/image?size=value" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment-suppliers Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of equipment suppliers

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **id** (union, query, optional): A list of ids - **title** (string, query, optional): A simple text search term, compared against the title - **team_id** (array (number), query, optional): One or more team identifiers - **exclude_org_data** (union, query, optional): *Team context*: Exclude entities inherited from the team's org - **exclude_teams_data** (union, query, optional): *Organisation context*: Exclude entities belonging to accessible teams - **sort** (string, query, optional) - **order** (string, query, optional) ### Responses #### 200 - A list of equipment suppliers ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-suppliers?page=value&size=value&id=value&title=value&team_id=item1,item2&exclude_org_data=false&exclude_teams_data=false&sort=id&order=asc" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment-kinds Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of equipment kinds

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **id** (array (number), query, optional): A list of numeric identifiers representing resources - **title** (string, query, optional): A simple text search term, compared against the title - **exclude_org_data** (union, query, optional): *Team context*: Exclude entities inherited from the team's org - **exclude_teams_data** (union, query, optional): *Organisation context*: Exclude entities belonging to accessible teams - **location_id** (integer, query, optional): An equipment kind location id - **category_id** (integer, query, optional): An equipment category id - **type** (string, query, optional): - `VEHICLE`: A vehicle of some kind - `SUPPLY`: A supply of disposable items - `EQUIPMENT`: A re-usable piece of equipment - **sort** (string, query, optional) - **order** (string, query, optional) ### Responses #### 200 - A list of equipment kinds ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-kinds?page=value&size=value&id=item1,item2&title=value&exclude_org_data=false&exclude_teams_data=false&location_id=value&category_id=value&type=value&sort=id&order=asc" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment-models Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of equipment models

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **id** (union, query, optional): A list of ids - **title** (string, query, optional): A simple text search term, compared against the title - **exclude_org_data** (union, query, optional): *Team context*: Exclude entities inherited from the team's org - **exclude_teams_data** (union, query, optional): *Organisation context*: Exclude entities belonging to accessible teams - **brand_id** (integer, query, optional): An equipment brand id - **sort** (string, query, optional) - **order** (string, query, optional) ### Responses #### 200 - A list of equipment models ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-models?page=value&size=value&id=value&title=value&exclude_org_data=false&exclude_teams_data=false&brand_id=value&sort=id&order=asc" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment-inspection-steps Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve an equipment inspection steps

**Required modules:** equipment_inspections ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **inspection_id** (integer, query, required): An inspection id - **order** (string, query, optional) - **sort** (string, query, optional) ### Responses #### 200 - A list of inspection step items ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-inspection-steps?page=value&size=value&inspection_id=value&order=asc&sort=ordering" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/documents Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of documents

**Required modules:** ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **id** (union, query, optional): A list of ids - **title** (string, query, optional): A simple text search term, compared against the title - **restricted** (string, query, optional): - `UNRESTRICTED`: No extra permissions required - `RESTRICTED`: Extra permissions required - **profile** (boolean, query, optional): Whether return or exclude profile documents - **target_resource_type** (array, query, required) - **target_resource_id** (null, query, optional): The related resource id - **exclude_org_data** (union, query, optional): *Team context*: Exclude entities inherited from the team's org - **order** (string, query, optional) - **sort** (string, query, optional) ### Responses #### 200 - A list of documents ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/documents?page=value&size=value&id=value&title=value&restricted=value&profile=true&target_resource_type=value&target_resource_id=value&exclude_org_data=false&order=asc&sort=id" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/whiteboard Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of whiteboard notes

**Required modules:** whiteboard ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **id** (union, query, optional): A list of ids - **archived_at_before** (string, query, optional): A datetime which a note's archivedAt is before - **archived_at_after** (string, query, optional): A datetime which a note's archivedAt is after - **exclude_org_data** (union, query, optional): *Team context*: Exclude entities inherited from the team's org - **exclude_teams_data** (union, query, optional): *Organisation context*: Exclude entities belonging to accessible teams - **order** (string, query, optional) - **sort** (string, query, optional) ### Responses #### 200 - A list of whiteboard notes ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/whiteboard?page=value&size=value&id=value&archived_at_before=value&archived_at_after=value&exclude_org_data=false&exclude_teams_data=false&order=asc&sort=id" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment-kinds/{kindId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve an equipment kind

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **kindId** (integer, path, required): The ID of the equipment kind ### Responses #### 200 - An equipment kind ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-kinds/{kindId}" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment-models/{modelId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve an equipment model

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **modelId** (integer, path, required): The ID of the equipment model ### Responses #### 200 - An equipment model ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-models/{modelId}" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/repairs Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of repairs

**Required modules:** equipment_repairs ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **completed_after** (string, query, optional): Date after which repairs were completed - **completed_before** (string, query, optional): Date before which repairs were completed - **created_after** (string, query, optional): Date after which repairs were created - **created_before** (string, query, optional): Date before which repairs were created - **due_after** (string, query, optional): Date after which repairs were due for completion - **due_before** (string, query, optional): Date before which repairs were due for completion - **id** (array (number), query, optional): A list of numeric identifiers representing resources - **assigned_member_id** (integer, query, optional): A member id - **originator_resource_id** (integer, query, optional): ID of the originator - **originator_resource_type** (string, query, optional): Resource types that can be associated with a repair as the originator of the repair - **target_resource_id** (integer, query, optional): ID of the resource the repair is assigned to - **target_resource_type** (string, query, optional): Resource types that can be associated with a repair - **location_id** (union, query, optional): An equipment location, represented by either an id or enum. Only an id or 'NONE' are available in the organisation context. - **fund_id** (integer, query, optional): The numeric identifier for a resource - **sort** (string, query, optional) - **status** (union, query, optional) - **order** (string, query, optional) ### Responses #### 200 - A list of repair tasks ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/repairs?page=value&size=value&completed_after=value&completed_before=value&created_after=value&created_before=value&due_after=value&due_before=value&id=item1,item2&assigned_member_id=value&originator_resource_id=value&originator_resource_type=value&target_resource_id=value&target_resource_type=value&location_id=value&fund_id=value&sort=id&status=value&order=asc" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment/{itemId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve an equipment item

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **itemId** (integer, path, required): The id of the equipment ### Responses #### 200 - An equipment item ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment/{itemId}" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment-funds Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of equipment funds

**Required modules:** equipment_funding ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **id** (union, query, optional): A list of ids - **title** (string, query, optional): A simple text search term, compared against the title - **exclude_org_data** (union, query, optional): *Team context*: Exclude entities inherited from the team's org - **sort** (string, query, optional) - **order** (string, query, optional) ### Responses #### 200 - A list of equipment funds ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-funds?page=value&size=value&id=value&title=value&exclude_org_data=false&sort=id&order=asc" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment-suppliers/{supplierId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve an equipment supplier

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **supplierId** (integer, path, required): The ID of the equipment supplier ### Responses #### 200 - An equipment supplier ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-suppliers/{supplierId}" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment-locations Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of equipment locations

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **id** (array (number), query, optional): A list of numeric identifiers representing resources - **title** (string, query, optional): The title of a resource - **deleted** (boolean, query, optional): Return only archived locations - **sort** (string, query, optional) - **order** (string, query, optional) ### Responses #### 200 - A list of equipment locations ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-locations?page=value&size=value&id=item1,item2&title=value&deleted=false&sort=id&order=asc" ``` ``` -------------------------------- ### POST /v3/{context}/{contextId}/equipment-usages Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Create an equipment usage

**Required modules:** activities,equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id ### Request Body **Content-Type:** application/json ### Responses #### 200 - An equipment usage ### Example Usage ```bash curl -X POST "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-usages" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/modules Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Get a particular module status ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **setting** (string, query, required): Module keys ### Responses #### 200 - Whether the module is active or not ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/modules?setting=value" ``` ``` -------------------------------- ### POST /v3/{context}/{contextId}/equipment-supplier-refs Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Create an equipment supplier reference

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id ### Request Body **Content-Type:** application/json ### Responses #### 200 - An equipment supplier reference ### Example Usage ```bash curl -X POST "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-supplier-refs" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### GET /v3/healthcheck Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a Healthcheck response ```markdown ### Responses #### 200 - A simple healthcheck ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/healthcheck" ``` ``` -------------------------------- ### POST /v3/{context}/{contextId}/equipment-models Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Create an equipment model

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id ### Request Body **Content-Type:** application/json ### Responses #### 200 - An equipment model ### Example Usage ```bash curl -X POST "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-models" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment-inspections Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of equipment inspections

**Required modules:** equipment_inspections ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **id** (array (number), query, optional): A list of numeric identifiers representing resources - **is_active** (boolean, query, optional): Whether the inspection is active or archived - **equipment_id** (array (number), query, optional): The id or array of ids of the equipment item the inspection is attached to - **equipment_location_id** (integer, query, optional): The identifier of the location to filter on. This will filter based on the location of the equipment - not the Inspection itself - **team_id** (integer, query, optional): A team identifier - **kind_id** (array (number), query, optional): One or more equipment kind ids - **sort** (string, query, optional) - **order** (string, query, optional) - **exclude_teams_data** (union, query, optional): *Organisation context*: Exclude entities belonging to accessible teams - **exclude_org_data** (union, query, optional): *Team context*: Exclude entities inherited from the team's org ### Responses #### 200 - A list of inspection items ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-inspections?page=value&size=value&id=item1,item2&is_active=true&equipment_id=item1,item2&equipment_location_id=value&team_id=value&kind_id=item1,item2&sort=id&order=asc&exclude_teams_data=false&exclude_org_data=false" ``` ``` -------------------------------- ### POST /v3/{context}/{contextId}/exercises Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Create an exercise ```markdown ### Request Body **Content-Type:** application/json ### Responses #### 200 - An exercise ### Example Usage ```bash curl -X POST "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/exercises" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/teams/{teamId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a team ```markdown ### Responses #### 200 - A team ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/teams/{teamId}" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/organisations/{organisationId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve an organisation ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **organisationId** (integer, path, required): A organisation`s id ### Responses #### 200 - A organisation ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/organisations/{organisationId}" ``` ``` -------------------------------- ### POST /v3/{context}/{contextId}/equipment-kinds Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Create an equipment kind

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id ### Request Body **Content-Type:** application/json ### Responses #### 200 - An equipment kind ### Example Usage ```bash curl -X POST "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-kinds" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### POST /v3/{context}/{contextId}/resource-bundles Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Create a resource bundle ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id ### Request Body **Content-Type:** application/json ### Responses #### 200 - A resource bundle ### Example Usage ```bash curl -X POST "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/resource-bundles" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### POST /v3/{context}/{contextId}/equipment-suppliers Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Create an equipment supplier resource

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id ### Request Body **Content-Type:** application/json ### Responses #### 200 - An equipment supplier resource ### Example Usage ```bash curl -X POST "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-suppliers" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/member-qualifications/{qualificationId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a member qualification ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **qualificationId** (integer, path, required): The qualification's id - **exclude_teams_data** (union, query, optional): *Organisation context*: Exclude entities belonging to accessible teams - **exclude_org_data** (union, query, optional): *Team context*: Exclude entities inherited from the team's org ### Responses #### 200 - A member qualification ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/member-qualifications/{qualificationId}?exclude_teams_data=false&exclude_org_data=false" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment-usages Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a list of equipment usages

**Required modules:** activities,equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **page** (integer, query, optional): Page number - **size** (integer, query, optional): Items per page - **id** (array (number), query, optional): A list of numeric identifiers representing resources - **activity_id** (array (number), query, optional): A list of numeric identifiers representing resources - **equipment_id** (array (number), query, optional): A list of numeric identifiers representing resources - **activity_resource_type** (string, query, optional): The resource type of an activity - **equipment_type** (string, query, optional): - `VEHICLE`: A vehicle of some kind - `SUPPLY`: A supply of disposable items - `EQUIPMENT`: A re-usable piece of equipment - **ref** (string, query, optional): A partial search on the Equipment item entity ref - **sort** (string, query, optional) - **order** (string, query, optional) ### Responses #### 200 - A list of equipment usages ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-usages?page=value&size=value&id=item1,item2&activity_id=item1,item2&equipment_id=item1,item2&activity_resource_type=value&equipment_type=value&ref=value&sort=id&order=asc" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/handler-qualifications/{qualificationId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a handler qualification ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **qualificationId** (integer, path, required): The qualification's id - **exclude_teams_data** (union, query, optional): *Organisation context*: Exclude entities belonging to accessible teams - **exclude_org_data** (union, query, optional): *Team context*: Exclude entities inherited from the team's org ### Responses #### 200 - A handler qualification ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/handler-qualifications/{qualificationId}?exclude_teams_data=false&exclude_org_data=false" ``` ``` -------------------------------- ### POST /v3/{context}/{contextId}/equipment-funds Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Create an equipment fund

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id ### Request Body **Content-Type:** application/json ### Responses #### 200 - An equipment fund ### Example Usage ```bash curl -X POST "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-funds" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/equipment-locations/{equipmentLocationId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve an equipment location ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **equipmentLocationId** (integer, path, required): An equipment location`s id ### Responses #### 200 - An equipment location ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-locations/{equipmentLocationId}" ``` ``` -------------------------------- ### POST /v3/{context}/{contextId}/equipment-categories Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Create an equipment category

**Required modules:** equipment ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id ### Request Body **Content-Type:** application/json ### Responses #### 200 - An equipment category ### Example Usage ```bash curl -X POST "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-categories" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/custom-fields/{customFieldId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve a custom field ```markdown ### Responses #### 200 - A custom field ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/custom-fields/{customFieldId}" ``` ``` -------------------------------- ### GET /v3/{context}/{contextId}/animal-qualifications/{qualificationId} Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Retrieve an animal qualification ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id - **qualificationId** (integer, path, required): The qualification's id - **exclude_teams_data** (union, query, optional): *Organisation context*: Exclude entities belonging to accessible teams - **exclude_org_data** (union, query, optional): *Team context*: Exclude entities inherited from the team's org ### Responses #### 200 - An animal qualification ### Example Usage ```bash curl -X GET "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/animal-qualifications/{qualificationId}?exclude_teams_data=false&exclude_org_data=false" ``` ``` -------------------------------- ### POST /v3/{context}/{contextId}/equipment-inspection-steps Source: https://api.team-manager.us.d4h.com/v3/docs/swagger.json Create an equipment inspection step

**Required modules:** equipment_inspections ```markdown ### Parameters - **context** (string, path, required): The point of view from where the request takes place - **contextId** (integer, path, required): Either a team, organisation or admin's id ### Request Body **Content-Type:** application/json ### Responses #### 200 - An inspection step ### Example Usage ```bash curl -X POST "https://api.team-manager.us.d4h.com/v3/{context}/{contextId}/equipment-inspection-steps" \ -H "Content-Type: application/json" \ -d '"value"' ``` ```